<?php

namespace unchat\healthmanager;

use pocketmine\plugin\PluginBase;
use pocketmine\utils\SingletonTrait;
use unchat\healthmanager\commands\HealthCommand;

class HealthManager extends PluginBase
{
    use SingletonTrait;

    protected function onLoad(): void
    {
        self::setInstance($this);
    }

    protected function onEnable(): void
    {
        $this->saveDefaultConfig();
        $this->getServer()->getCommandMap()->register("healthmanager", new HealthCommand($this));
    }
}